# Coveo Text Component (CoveoText)

The Text component embeds itself in a result template to output a simple text value.

The only purpose of this component is to make it possible to easily add different text values to result templates when using the Coveo JavaScript Search Interface Editor (see Interface Editor).

If you are not designing a search interface using the Coveo JavaScript Search Interface Editor, using this component is unnecessary.

This component is a result template component (see Result Templates).

## Index

### Methods

- debugInfo
- disable
- enable
- getBindings
- get

### Properties

- bind
- componentOptionsModel
- componentStateModel
- disabled
- logger
- queryController
- queryStateModel
- root
- searchInterface
- ID

### Accessors

- usageAnalytics

### Component Options

- color
- marginBottom
- marginLeft
- marginRight
- marginTop
- paddingBottom
- paddingLeft
- paddingRight
- paddingTop
- size
- style
- textAlign
- value
- weight

### Constructors

- constructor

## Methods

### debugInfo

- debugInfo(): any

- Inherited from BaseComponent.debugInfo

  - Defined in ui/Base/BaseComponent.ts :41

  Return the debug info about this component.

  #### Returns any

### disable

- disable(): void

- Inherited from BaseComponent.disable

  - Defined in ui/Base/BaseComponent.ts :52

  Disable the component. Normally this means that the component will not execute handlers for the framework events (query events, for example). Components are enabled by default on creation.

  #### Returns void

### enable

- enable(): void

- Inherited from BaseComponent.enable

  - Defined in ui/Base/BaseComponent.ts :61

  Enable the component. Normally this means that the component will execute handlers for the framework events (query events, for example). Components are enabled by default on creation.

  #### Returns void

### getBindings

- getBindings(): IComponentBindings

- Inherited from Component.getBindings

  - Defined in ui/Base/Component.ts :328

  Return the bindings, or environment, for the current component.

  #### Returns IComponentBindings

### Static get

- get(element: HTMLElement, componentClass?: any, noThrow?: boolean): BaseComponent

- Inherited from Component.get

  - Defined in ui/Base/Component.ts :410

  Get the bound component to the given HTMLElement. Throws an assert if the HTMLElement has no component bound, unless using the noThrow argument.
  If there is multiple component bound to the current HTMLElement, you must specify the component class.

  #### Parameters

  - ##### element: HTMLElement

    HTMLElement for which to get the bound component.

  - ##### Optional componentClass: any

    Optional component class. If the HTMLElement has multiple components bound, you must specify which one you are targeting.

  - ##### Optional noThrow: boolean

    Boolean option to tell the method to not throw on error.

  #### Returns BaseComponent

## Properties

### bind

bind: ComponentEvents

Inherited from Component.bind

- Defined in ui/Base/Component.ts :270

Allows the component to bind events and execute them only when it is enabled.

type

  {Coveo.ComponentEvents}

### componentOptionsModel

componentOptionsModel: ComponentOptionsModel

Inherited from Component.componentOptionsModel

- Defined in ui/Base/Component.ts :294

Contains the state of options for different components. Mainly used by ResultLink.

### componentStateModel

componentStateModel: ComponentStateModel

Inherited from Component.componentStateModel

- Defined in ui/Base/Component.ts :282

Contains the state of different components (enabled vs disabled). Allows to get/set values. Triggers component state event when modified. Each component can listen to those events.

### disabled

disabled: boolean

Inherited from BaseComponent.disabled

- Defined in ui/Base/BaseComponent.ts :23

A disabled component will not participate in the query, or listen to ComponentEvents.

type

  {boolean}

### logger

logger: Logger

Inherited from BaseComponent.logger

- Defined in ui/Base/BaseComponent.ts :18

Allows component to log in the dev console.

### queryController

queryController: QueryController

Inherited from Component.queryController

- Defined in ui/Base/Component.ts :286

Contains the singleton that allows to trigger queries.

### queryStateModel

queryStateModel: QueryStateModel

Inherited from Component.queryStateModel

- Defined in ui/Base/Component.ts :278

Contains the state of the query. Allows to get/set values. Trigger query state event when modified. Each component can listen to those events.

### root

root: HTMLElement

Inherited from Component.root

- Defined in ui/Base/Component.ts :274

A reference to the root HTMLElement (the SearchInterface).

### searchInterface

searchInterface: SearchInterface

Inherited from Component.searchInterface

- Defined in ui/Base/Component.ts :290

A reference to the root of every component, the SearchInterface.

### Static ID

ID: string

Inherited from BaseComponent.ID

- Defined in ui/Base/BaseComponent.ts :28

The static ID that each component needs in order to be identified.
For example, SearchButton -> static ID: SearchButton -> className: CoveoSearchButton

## Accessors

### usageAnalytics

- get (): IAnalyticsClient

- Inherited from Component.usageAnalytics

  - Defined in ui/Base/Component.ts :343

  A reference to the Analytics.client.

  #### Returns IAnalyticsClient

## Component Options

### color

color: string

- Defined in ui/Text/Text.ts :71

Specifies the color of the text (set as the `color` CSS property).

Markup configuration example(s) :

    data-color='foo'

### marginBottom

marginBottom: string

- Defined in ui/Text/Text.ts :91

Specifies the bottom margin of the text (set as the `margin-bottom` CSS property).

Markup configuration example(s) :

    data-margin-bottom='foo'

### marginLeft

marginLeft: string

- Defined in ui/Text/Text.ts :96

Specifies the left margin of the text (set as the `margin-left` CSS property).

Markup configuration example(s) :

    data-margin-left='foo'

### marginRight

marginRight: string

- Defined in ui/Text/Text.ts :101

Specifies the right margin of the text (set as the `margin-right` CSS property).

Markup configuration example(s) :

    data-margin-right='foo'

### marginTop

marginTop: string

- Defined in ui/Text/Text.ts :86

Specifies the top margin of the text (set as the `margin-top` CSS property).

Markup configuration example(s) :

    data-margin-top='foo'

### paddingBottom

paddingBottom: string

- Defined in ui/Text/Text.ts :111

Specifies the bottom padding of the text (set as the `padding-bottom` CSS property).

Markup configuration example(s) :

    data-padding-bottom='foo'

### paddingLeft

paddingLeft: string

- Defined in ui/Text/Text.ts :116

Specifies the left padding of the text (set as the `padding-left` CSS property).

Markup configuration example(s) :

    data-padding-left='foo'

### paddingRight

paddingRight: string

- Defined in ui/Text/Text.ts :121

Specifies the right padding of the text (set as the `padding-right` CSS property).

Markup configuration example(s) :

    data-padding-right='foo'

### paddingTop

paddingTop: string

- Defined in ui/Text/Text.ts :106

Specifies the top padding of the text (set as the `padding-top` CSS property).

Markup configuration example(s) :

    data-padding-top='foo'

### size

size: string

- Defined in ui/Text/Text.ts :61

Specifies the size of the text (set as the `font-size` CSS property).

Markup configuration example(s) :

    data-size='foo'

### style

style: string

- Defined in ui/Text/Text.ts :66

Specifies the style of the text (set as the `font-style` CSS property).

Markup configuration example(s) :

    data-style='foo'

### textAlign

textAlign: string

- Defined in ui/Text/Text.ts :81

Specifies the alignment of the text (set as the `text-align` CSS property).

Markup configuration example(s) :

    data-text-align='foo'

### value

value: string

- Defined in ui/Text/Text.ts :56

Specifies the localized string value that the component should render.

Markup configuration example(s) :

    data-value='foo'

### weight

weight: string

- Defined in ui/Text/Text.ts :76

Specifies the weight of the text (set as the `font-weight` CSS property).

Markup configuration example(s) :

    data-weight='foo'

## Constructors

### constructor

- new Text(element: HTMLElement, options?: ITextOptions, bindings?: IComponentBindings): Text

- Overwrites Component.constructor

  - Defined in ui/Text/Text.ts :122

  Creates a new Text component.

  #### Parameters

  - ##### element: HTMLElement

    The HTMLElement on which to instantiate the component.

  - ##### Optional options: ITextOptions

    The options for the Text component.

  - ##### Optional bindings: IComponentBindings

    The bindings that the component requires to function normally. If not set, these will be automatically resolved (with a slower execution time).

  #### Returns Text